unit Unit25;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, RVStyle, RVScroll, RichView, RVEdit,
  Vcl.StdCtrls;

type
  TForm25 = class(TForm)
    RichViewEdit1: TRichViewEdit;
    RVStyle1: TRVStyle;
    Button1: TButton;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    Stream: TMemoryStream;
  end;

var
  Form25: TForm25;

implementation

{$R *.dfm}

procedure TForm25.FormCreate(Sender: TObject);
var
  Edit: TEdit;
begin
  RegisterClass(TEdit);
  // creating a sample document
  Edit := TEdit.Create(nil);
  Edit.Text := 'Test';
  RichViewEdit1.Clear;
  RichViewEdit1.AddControl('', Edit, 0);
  RichViewEdit1.Format;
  // storing it in Stream
  Stream := TMemoryStream.Create;
  RichViewEdit1.SaveRVFToStream(Stream, False);
end;


procedure TForm25.Button1Click(Sender: TObject);
begin
  // loading from Stream
  Stream.Position := 0;
  RichViewEdit1.LoadRVFFromStream(Stream);
  RichViewEdit1.Format;
end;


end.
